apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    service: js2allocation-service
  name: js2allocation-service
  namespace: default
spec:
  replicas: 1
  selector:
    matchLabels:
      service: js2allocation-service
  template:
    metadata:
      labels:
        service: js2allocation-service
    spec:
      containers:
        - env:
            - name: MONGODB_URL
              valueFrom:
                configMapKeyRef:
                  key: mongodb.address
                  name: db-config
            - name: MONGODB_DB_NAME
              valueFrom:
                configMapKeyRef:
                  key: mongodb.db_name
                  name: db-config
            - name: MONGODB_COLLECTION_NAME
              value: js2allocation
            - name: NATS_URL
              valueFrom:
                configMapKeyRef:
                  key: nats.url
                  name: cacao-config
            - name: NATS_CLIENT_ID
              valueFrom:
                fieldRef:
                  fieldPath: metadata.name
          image: js2allocation_service
          name: js2allocation-service
          resources:
            limits:
              memory: 128Mi
            requests:
              cpu: 50m
              memory: 30Mi
          securityContext:
            allowPrivilegeEscalation: false
            readOnlyRootFilesystem: true
      restartPolicy: Always
      securityContext:
        runAsNonRoot: true
      automountServiceAccountToken: false
status: {}
